import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";

/* eslint-disable react/prop-types */
import React from 'react';
import PropTypes from 'prop-types';
import AtomImage from '@s-ui/react-atom-image';
import Chevronright from '@s-ui/react-icons/lib/Chevronright';

var CardArrow = function CardArrow(_ref) {
  var media = _ref.media,
      text = _ref.text,
      icon = _ref.icon,
      Link = _ref.linkFactory,
      link = _ref.link;

  /**
   * If there is no Icon prop, set one by default
   */
  var Icon = icon || Chevronright;
  return React.createElement("div", {
    className: "sui-CardArrow"
  }, React.createElement(Link, {
    className: "sui-CardArrow-link",
    href: link
  }, media && React.createElement("div", {
    className: "sui-CardArrow-img"
  }, React.createElement(AtomImage, {
    src: media.src,
    alt: media.alt
  })), React.createElement("div", {
    className: "sui-CardArrow-inner"
  }, React.createElement("h3", {
    className: "sui-CardArrow-innerTitle"
  }, text.title), text.description && React.createElement("p", {
    className: "sui-CardArrow-innerDescription"
  }, text.description)), React.createElement(Icon, {
    svgClass: "sui-CardArrow-icon",
    className: "sui-CardArrow-icon"
  })));
};

CardArrow.displayName = 'CardArrow';
CardArrow.defaultProps = {
  linkFactory: function linkFactory(_ref2) {
    var children = _ref2.children,
        rest = _objectWithoutPropertiesLoose(_ref2, ["children"]);

    return React.createElement("a", rest, children);
  }
};
export default CardArrow;